Bug 218467 - /bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 11:23 EST by Steve Murphy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 04:34:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Murphy 2006-12-05 11:23:53 EST
Description of problem:

I guess I haven't been doing much development on this machine; it's pretty new.
When I try to run mv, with args, I get:

[root@digium2 libmcrypt-2.5.7]# mv x y
mv: /lib/libacl.so.1: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
mv: /lib/libc.so.6: version `' not found (required by mv)
[root@digium2 libmcrypt-2.5.7]# 


When I ldd /bin/mv, I get:

[root@digium2 libmcrypt-2.5.7]# ldd /bin/mv
/bin/mv: /lib/libacl.so.1: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
/bin/mv: /lib/libc.so.6: version `' not found (required by /bin/mv)
        linux-gate.so.1 =>  (0x00912000)
        libacl.so.1 => /lib/libacl.so.1 (0x00194000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x00498000)
        libc.so.6 => /lib/libc.so.6 (0x4a6a6000)
        libattr.so.1 => /lib/libattr.so.1 (0x4abd1000)
        libdl.so.2 => /lib/libdl.so.2 (0x4a7e5000)
        libsepol.so.1 => /lib/libsepol.so.1 (0x004b1000)
        /lib/ld-linux.so.2 (0x4a689000)
[root@digium2 libmcrypt-2.5.7]# 

And the rpm command:

[root@digium2 libmcrypt-2.5.7]# rpm -q -f /bin/mv
coreutils-5.97-11
[root@digium2 libmcrypt-2.5.7]# 


So, what gives?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-12-05 11:35:03 EST
What does 'rpm -V coreutils glibc' say, as root?
Comment 2 Steve Murphy 2006-12-05 12:04:24 EST
# rpm -V coreutils glibc
S.5.....   /bin/mv
# 

Comment 3 Steve Murphy 2006-12-05 12:08:51 EST
I see where you're headed. The /bin/mv has been modified. I'll reinstall
coreutils. I wonder how that happened? I've been installing nothing until now
that wasn't via the updater... hmmm.
Comment 4 Tim Waugh 2006-12-05 12:13:59 EST
See if you can make a back-up copied of that modified /bin/mv, and perhaps it
will be possible to figure out what happened to it.
Comment 5 Steve Murphy 2006-12-05 13:17:57 EST
Arg!!!!

I was so involved in finding the rpm package for coreutils, and remembering what
rpm args to use to install it, that I completely lapsed in making a backup copy
of the /bin/rm! Sorry, your reminder came in too late.If it was just me, then
you'll never see this kinda thing again. Otherwise, the next guy'll save you a
copy. Sorry.

Many thanks. You can close this if you want.

Note You need to log in before you can comment on or make changes to this bug.